
int fillColor = 5;
int inc = 1;

int rectW = 100;
int rectH = 50;

void setup() {
  size(400, 400);
  frameRate(100); //means draw will occur 100 times per second
}

void draw() {
  background(0); //clear the canvas with black
  
  noFill(); // don't fill in the shapes we draw
  stroke(209); //set the color of the stroke/line (0 to 255)
  
  /* (slash asterisk the start of a multi-line comment)
  draw a rect at x = 10, y = 10 that is 
  100 pixels wide and high (square) */ 
  rect(10, 10, 100, 100); 
  
  fill(fillColor); //now fill any shapes we draw...
  noStroke(); //let's not draw a border on this one...
  rect(10, 150, rectW, rectH); //variable size
  fillColor += inc; //increment the fill color
  if(fillColor >= 255 || fillColor == 0) { //bounds check
    //fillColor = 0; // jump to black
   inc *= -1;  //fade back to black
  }
}

void keyPressed() {
   if(key == 'i') { //increase rect size
    rectW += 10;
    rectH += 10;
   } 
   else if(key == 'd') { //decrease rect size
    rectW -= 10;
    rectH -= 10;
   } 
}
